PAPI_library_init(3)

NAME
PAPI_library_init - initialize the PAPI library.

SYNOPSIS

Detailed Description

Parameters
    version upon initialization, PAPI checks the argument against the internal value of PAPI_VER_CURRENT when the library was compiled. This guards against portability problems when updating the PAPI shared libraries on your system.

Return values
    PAPI_EINVAL papi.h is different from the version used to compile the PAPI library.
    PAPI_ENOMEM Insufficient memory to complete the operation.
    PAPI_ECMP This component does not support the underlying hardware.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.

PAPI_library_init() initializes the PAPI library. PAPI_is_initialized() check for initialization. It must be called before any low level PAPI functions can be used. If your application is making use of threads PAPI_thread_init must also be called prior to making any calls to the library other than PAPI_library_init() .

Examples:

    int retval;
    retval = PAPI_library_init(PAPI_VER_CURRENT);
    if (retval != PAPI_VER_CURRENT && retval > 0) {
        fprintf(stderr,"PAPI library version mismatch!\en");
        exit(1); }
    if (retval < 0)
        handle_error(retval);
    retval = PAPI_is_initialized();
    if (retval != PAPI_LOW_LEVEL_INITED)
        handle_error(retval)

See also
    PAPI_thread_init PAPI

Author

Generated automatically by Doxygen for PAPI from the source code.